Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 17 Mar 2023 15:11:36 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I made an order on 5th of March, kept getting messages that “we missed you” even tho there was absolutely no contact. No calls whatsoever. I’ve finally received the order after your “attempts” on March 8. I made a return request for 2 items on 9th of March. To this day no calls no emails no messages and no one came to pick up the order. I can attach all the messages from you if you want. I need the items returned and my money back please. This is unacceptable practice and honestly I’m surprised and very let down by you.

Order#: 9417608158 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5864794